Skip to main content
DELETE
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

hooks:read

Read permissions

Path Parameters

hookId
string
required

Response

200 response

updatedTime
string | null
required
Pattern: ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
metadata
object | null
required
updatedBy
string | null
required
Maximum string length: 4096
description
string | null
required
Maximum string length: 4096
createdBy
string
required
Maximum string length: 4096
hookId
string
required
Pattern: ^cradl:hook:[a-f0-9]{32}(|:[0-9]+|:@[a-z0-9_-]+|:\$latest|:\$draft)$
name
string | null
required
Maximum string length: 4096
createdTime
string
required
Pattern: ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}( |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
agentId
string | null
Pattern: ^cradl:agent:[a-f0-9]{32}(|:[0-9]+|:@[a-z0-9_-]+|:\$latest|:\$draft)$
trigger
enum<string>
Available options:
ActionRun has Completed,
Document is Created,
Email is Received,
Prediction is Created,
ValidationTask has Completed,
ValidationTask is Created
enabled
boolean
functionId
string | null
Pattern: ^((cradl|las):organization:[a-z0-9-_]+/)?cradl:function:[a-z0-9-_]+(|:[0-9]+|:@[a-z0-9_-]+|:\$latest|:\$draft)$
falseActionId
string | null
Pattern: ^((cradl|las):organization:[a-z0-9-_]+/)?cradl:action:[a-z0-9-_]+(|:[0-9]+|:@[a-z0-9_-]+|:\$latest|:\$draft)$
trueActionId
string | null
Pattern: ^((cradl|las):organization:[a-z0-9-_]+/)?cradl:action:[a-z0-9-_]+(|:[0-9]+|:@[a-z0-9_-]+|:\$latest|:\$draft)$
id
string
Pattern: ^((cradl|las):organization:[a-z0-9-_]+/)?cradl:hook:[a-z0-9-_]+(|:[0-9]+|:@[a-z0-9_-]+|:\$latest|:\$draft)$
config
object | null